Package Details: eruption 0.3.5-0

Git Clone URL: https://aur.archlinux.org/eruption.git (read-only, click to copy)
Package Base: eruption
Description: Realtime RGB LED Driver for Linux
Upstream URL: https://eruption-project.org/
Keywords: aimo driver effects eruption led lighting linux rgb roccat vulcan
Licenses: GPL3
Conflicts: eruption-git, eruption-roccat-vulcan-git
Provides: eruption
Replaces: eruption-roccat-vulcan
Submitter: X3n0m0rph59
Maintainer: X3n0m0rph59
Last Packager: X3n0m0rph59
Votes: 4
Popularity: 0.101156
First Submitted: 2021-04-19 13:48 (UTC)
Last Updated: 2023-09-27 07:07 (UTC)

Latest Comments

erictronic commented on 2024-03-07 23:26 (UTC)

Build ran into Problem: ... Compiling sourceview4 v0.4.0 error: linking with cc failed: exit status: 1 ... build/eruption/src/eruption-37ead33dfce8e56662a288e790aa04bbb45a9fff/target/release/deps/eruption_util-22ae0c4c363f3de3.eruption_util.6100cb601426f003-cgu.0.rcgu.o: in function <hidapi::hidapi::HidDevice as hidapi::HidDeviceBackendBase>::check_error': eruption_util.6100cb601426f003-cgu.0:(.text._ZN74_$LT$hidapi..hidapi..HidDevice$u20$as$u20$hidapi..HidDeviceBackendBase$GT$11check_error17h794b094ea0c04894E+0xd): undefined reference tohid_error' ...

After adding "options=(!lto)" to PKGBUILD.

Build finished with these Warnings:

... Compiling sourceview4 v0.4.0 warning: eruption-hwutil (bin "eruption-hwutil") generated 1 warning (run cargo fix --bin "eruption-hwutil" to apply 1 suggestion) Finished release [optimized] target(s) in 3m 43s warning: the following packages contain code that will be rejected by a future version of Rust: nom v2.2.1 note: to see what the problems were, use the option --future-incompat-report, or run cargo report future-incompatibilities --id 1 ...

Dyro commented on 2024-02-19 16:40 (UTC) (edited on 2024-02-19 17:01 (UTC) by Dyro)

error: could not compile eruption (bin "eruption") due to 1 previous error ==> ERROR: Error occurred in fucktion ild(). cancelling... -> error making: eruption-git-exit status 4 -> Failed to install the following packages. Manual intervention is required: eruption-git - exit status 4

Getting this error.

Edit. manual compiling works well though of the source

R1yuu commented on 2022-11-30 08:38 (UTC) (edited on 2022-11-30 08:39 (UTC) by R1yuu)

Hey, I noticed that you keep increasing the pkgrel and just wanted to tell you that the pkgrel is supposed to reset to 1 if the software/package version pkgver increases.
It's only supposed to increase if the software version stays the same but the PKGBUILD changes for patches, etc.
You can read about it in the Arch Wiki

X3n0m0rph59 commented on 2022-10-11 12:20 (UTC)

Thanks for reporting these issues! I have published updated packages

Rojikku commented on 2022-08-02 22:21 (UTC) (edited on 2022-08-02 22:25 (UTC) by Rojikku)

This package does not build properly in a clean chroot.

Please update with libusb in depends and cmake in make depends to fix this issue.

Also, why is the GUI commented out?

Chrobin commented on 2022-07-30 11:55 (UTC)

I get the error

==> Validating source files with sha256sums... eruption-0.1.23.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check! error: failed to download sources for 'eruption-0.1.23-4':

since the newest update. Are the checksums incorrect?

Chrobin commented on 2021-11-01 20:15 (UTC)

I love your programm, really makes Roccat devices on Linux more usable. Could you please update to the new version with the Eruption GUI? Thanks.

ChillFre4k commented on 2021-06-24 08:25 (UTC)

got this error while installation

Created symlink /etc/systemd/system/basic.target.wants/eruption.service → /usr/lib/systemd/system/eruption.service.
Failed to preset unit: Unit file eruption-process-monitor.service does not exist.